.onLoad <- function(libname, pkgname) {
  extdata_dirpath <- system.file("extdata", package=pkgname,
                                 lib.loc=libname, mustWork=TRUE)

  ## Load GenomeDescription object frozen from BSgenome.Hsapiens.UCSC.hg19
  rg <- readRDS(file.path(extdata_dirpath, "refgenomeGD.rds"))

  ## Make and export PhastConsDb object.
  pcscores <- PhastConsDb(provider="UCSC",
                          provider_version="20140821",
                          download_url="http://compgen.cshl.edu/fitCons/0downloads/tracks/V1.01/i6/scores",
                          download_date="Jul 22, 2016",
                          reference_genome=rg,
                          data_pkgname=pkgname,
                          data_dirpath=extdata_dirpath)

  ns <- asNamespace(pkgname)

  objname <- pkgname
  assign(objname, pcscores, envir=ns)

  namespaceExport(ns, objname)
}
